%global gem_name websocket-extensions
Name:                rubygem-%{gem_name}
Version:             0.1.2
Release:             2
Summary:             Generic extension manager for WebSocket connections
License:             MIT
URL:                 http://github.com/faye/websocket-extensions-ruby
Source0:             https://rubygems.org/gems/websocket-extensions-%{version}.gem
Source1:             https://github.com/faye/websocket-extensions-ruby/archive/%{version}.tar.gz
Patch0:              CVE-2020-7663.patch
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(rspec)
BuildArch:           noarch
%description
Generic extension manager for WebSocket connections.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0 -p1

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
tar -xzf %{SOURCE1}
cd %{gem_name}-ruby-%{version}
rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Thu Feb 24 2022 wangkai <wangkai385@huawei.com> - 0.1.2-2
- Fix CVE-2020-7663

* Sat Aug 8 2020 yanan li <liyanan032@huawei.com> - 0.1.2-1
- Package init
